The Abyss Walker is almost similar to the Human Mercenary. However they are stronger than the Mercenary. The Abyss Walker has certain qualities that other occupations have which help its party. They act as an Assassin during Siege Battle. They greatly damage opponents with sudden blows.
They have basic skills such as strengthening their light equipment and other various skills such as sneaking up to enemies and striking deadly blows, dodging first attacks done by monsters.
To be an Abyss Walker, your level must be over 40 and you need to collect the Mark of the Seeker, the Mark of Fate, and the Mark of the Searcher.
Ask about marks.
Return